package com.wechat.model.dto;

import java.util.Map;

/**
 * @author jadyn.wu
 * @date: 2020-09-07 15:15
 * 小程序订阅消息发送参数类
 */
public class WxMiniSubMsgSendDto {
	
	private String touser;
	
	private String template_id;
	
	private String page;
	
	//跳转小程序类型：developer为开发版；trial为体验版；formal为正式版；默认为正式版
	private String miniprogram_state;
	
	//进入小程序查看”的语言类型，支持zh_CN(简体中文)、en_US(英文)、zh_HK(繁体中文)、zh_TW(繁体中文)，默认为zh_CN
	private String lang;

	private Map<String, Object> data;

	public String getTouser() {
		return touser;
	}

	public void setTouser(String touser) {
		this.touser = touser;
	}

	public String getTemplate_id() {
		return template_id;
	}

	public void setTemplate_id(String template_id) {
		this.template_id = template_id;
	}

	public String getPage() {
		return page;
	}

	public void setPage(String page) {
		this.page = page;
	}

	public String getMiniprogram_state() {
		return miniprogram_state;
	}

	public void setMiniprogram_state(String miniprogram_state) {
		this.miniprogram_state = miniprogram_state;
	}

	public String getLang() {
		return lang;
	}

	public void setLang(String lang) {
		this.lang = lang;
	}

	public Map<String, Object> getData() {
		return data;
	}

	public void setData(Map<String, Object> data) {
		this.data = data;
	}
	
}
